<?php
/** @var \Lovata\OrdersShopaholic\Models\OrderPosition $formModel */
/** @var \Lovata\Shopaholic\Models\Offer $obOffer */
/** @var \Lovata\Shopaholic\Models\Product $obProduct */
$obOffer = $formModel->offer;
$obProduct = null;
?>

<?php if (!empty($obOffer)) { ?>
<?php $obProduct = $obOffer->product ?>
<div>
    <?= trans('lovata.ordersshopaholic::lang.label.offer'); ?>: <a href="<?= Backend::url('lovata/shopaholic/offers/update/'.$obOffer->id) ?>"><?= $obOffer->name ?></a>
</div>
<?php } ?>
<?php if (!empty($obProduct)) { ?>
<div>
    <?= trans('lovata.ordersshopaholic::lang.label.product'); ?>: <a href="<?= Backend::url('lovata/shopaholic/products/update/'.$obProduct->id) ?>"><?= $obProduct->name ?></a>
</div>
<?php } ?>

<?php
    //inizio if
    if($formModel->customized_offer_id !== 0) {
        $customizedOffer = \Lovata\Shopaholic\Models\Offer::find($formModel->customized_offer_id);
        if($customizedOffer) {
?>
    <div class="form-group">
        <label for="Form-field-OrderPosition-customized_content">Customized Content</label>
        <input type="text" id="Form-field-OrderPosition-customized_content" value="<?= $formModel->customized_content ?>" class="form-control" disabled>
    </div>
    <div class="form-group">
        <label for="Form-field-OrderPosition-customized_product_name">Customized Product Name</label>
        <input type="text" id="Form-field-OrderPosition-customized_product_name" value="<?= $customizedOffer->product->name ?>" class="form-control" disabled>
    </div>
    <div class="form-group">
        <label for="Form-field-OrderPosition-customized_product_code">Customized Product Code</label>
        <input type="text" id="Form-field-OrderPosition-customized_product_code" value="<?= $customizedOffer->product->code ?>" class="form-control" disabled>
    </div>

<?php
//chiusura if
        }
    }
?>
